import request from './request.js';

const listBuildingByDistrict = async ({district}) => {
	const res = await request.get({ url: `/shop/listBuildingByDistrict/${district}` });
	return res.data;
}

const getShopList = async data => {
	const res = await request.get({ url: `/shop/list`, data });
	return res.data;
}

const getShopInfo = async ({ shopId }) => {
	const res = await request.get({ url: `/shop/info/${shopId }`});
	return res.data;
}

export default { listBuildingByDistrict, getShopList, getShopInfo };